Subject: bug#59314: 29.0.50; EUDC and message-mode header completion

From: Thomas Fitzsimmons <[email-masked]>
Date: Mon, 12 Dec 2022 07:31:00 -0500

Alexander Adolf <[email-masked]> writes:

> I have done some further debugging, and it seems that the behaviour is
> independent of EUDC.
>
> With this:
>
> (setq message-expand-name-standard-ui t)
> (setq eudc-server nil eudc-server-hotlist nil)
> (setq message-expand-name-databases '(bbdb))
>
> and `eudc-capf-complete` removed from `completion-at-point-functions` in
> `message-mode`, the result is the same (completion is broke).

I confirmed this on my set up, this was a good thing to test, thanks.
(Before, I had tested BBDB-only (no-EUDC) completion with
message-expand-name-standard-ui set to nil, which worked, but not with
it set to t.)

> It seems that the completion styles are attempting to find the longest
> common prefix of all candidates, and somehow take words into account.
> Quoting from the Elisp manual [1]:
>
> ---------------------------- Begin Quote -----------------------------
> The procedure of determining what constitutes a match is quite
> intricate. Emacs attempts to offer plausible completions under most
> circumstances.
> ----------------------------- End Quote ------------------------------
>
> Have I just been handed a word of warning? Looks like.
>
> Anyways, I will now try to see whether I can identify a commit that the
> issue. I'll start with the one mentioned by Eric.
>
> [puts on helmet, switches on headlamp, and grabs a pickax]
>
> Wish me luck,

Good luck, this is good progress.

Thomas